﻿using ModuleTools.BusinessLogics;
using ModuleTools.Interfaces;
using SecurityBusinessLogic.Interfaces;
using SecurityImplementation.SecurityDatabaseImplementation;

namespace SecurityDatabaseImplementation
{
	public class SecurityImplementationExtensions : IImplementationExtension
	{
		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IAccessService, AccessService>();
			DependencyManager.Instance.RegisterType<IEnviromentSettingService, EnviromentSettingService>();
			DependencyManager.Instance.RegisterType<IRoleService, RoleService>();
			DependencyManager.Instance.RegisterType<IUserService, UserService>();
		}
	}
}